:root {
    --colour-a: beige;
    --spacing: 0.8rem;
    --overlay: var(--spacing) calc(var(--spacing) * -3) var(--spacing) var(--spacing);
}

body , html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 20px;
}

body {
    background: var(--colour-a);
    font-family: 'charter';
}

p {
    font-size: 1rem;
}

h1, h2, h3 {
    margin-bottom: 1.5rem;
    font-family: 'Recursive Mono Casual';
}

h2 {
    margin-top: 2.5rem;
}

h3 {
    margin-top: 2.5rem;
    font-weight: 800;
}

header {
    margin-bottom: calc(var(--spacing) * 3);
}

h1 {
    margin-top: 0;
    text-decoration: overline var(--spacing) green;
    margin-bottom: 0;
}


h1 + em {
    margin-top: 0;
}

details {
    background: white;
    font-size: 1.2rem;
    border: 1px solid green;
}

details summary {
    padding: 0.5rem;
    border-bottom: 1px solid green;
    font-style: italic;
}

.example-content {
    padding: 1rem;
}


main {
    margin-top: calc(100vh / 6);
    max-width: 33rem;
    margin-left: calc(100vw / 3.14159);
}

article p {
    margin: auto;
    margin-bottom: 1.3rem;
    font-size: 1.2rem;
    line-height: 133%;
}

.sleek-title{
    color: black;
    font-size: 30px;
    text-align: left;
    line-height: 30px;
    font-family: monospace;
}

figure {
    max-width: 100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    margin: 2rem auto 2rem auto;
}
img { max-width: 100% }
figcaption{
    font-size: 1rem;
    margin: auto;
    margin-top: 0.5rem;
    text-align: center;
    font-style: italic
}

@media (max-width: 828px) {
    :root {
        --spacing: 0.25rem;
        --overlay: var(--spacing) var(--spacing) var(--spacing) var(--spacing);
    }
    main {
        margin: auto;
        padding: 1rem;
    }
article p {
    font-size: 1rem;
        line-height: 133%;
    }
}

footer {
    font-size: 1rem;
    font-style: italic;
    color: var(--colour-e);
    margin: 2rem;
}


ol {
    font-style: italic;
    font-size: 0.9rem;
    padding-left: 1.2rem;
}
